<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto = false;
$sesion   = false;
$mensaje  = 'No se puedo eliminar la información';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
&& ( Varios::hasModuleActionAccess(3, 4)
|| Varios::hasModuleAccess(4, 4)
|| Varios::hasModuleAccess(5, 4))
) {	
	$parametroIdCod 	= filter_var($_POST["par1"], FILTER_SANITIZE_STRING);
	$parametroId 		= filter_var( Varios::decodifica($parametroIdCod), FILTER_SANITIZE_NUMBER_INT);

	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Parametro.Class.php');
	$parametro_obj = new Parametro(null);
	
	$auditoria_accion   = "Delete";
	$auditoria_tabla    = "parametro";
	$auditoria_sql      = "EXEC agenda.SP_parametro_eliminar ".$parametroId;
	$parametro_resultado = $parametro_obj->eliminarParametro($parametroId);

	$mensaje 	= $parametro_resultado[1];
	$resultado 	= $parametro_resultado[0];
	if($resultado > 0) {		
		$correcto 	= true;
	}
	Varios::auditInsert( $auditoria_accion, $auditoria_tabla, $auditoria_sql, $resultado, $mensaje );	
	$parametro_obj->Close();	

} else {
	$mensaje = 'Los parámetros recibidos NO son válidos';	
}

$data = array(
			'success' => $correcto, 
			'mensaje' => $mensaje,
			'sesion'  => $sesion
		);
echo json_encode($data);
?>